corda / net.corda.flows / CashExitFlow

# CashExitFlow

`class CashExitFlow : AbstractCashFlow`

Initiates a flow that produces an cash exit transaction.

### Parameters

`amount` - the amount of a currency to remove from the ledger.

`issuerRef` - the reference on the issued currency. Added to the node's legal identity to determine the issuer.

### Constructors

<init> | `CashExitFlow(amount: Amount<Currency>, issueRef: OpaqueBytes)``CashExitFlow(amount: Amount<Currency>, issueRef: OpaqueBytes, progressTracker: ProgressTracker)` Initiates a flow that produces an cash exit transaction.

### Properties

amount | `val amount: Amount<Currency>`
issueRef | `val issueRef: OpaqueBytes`

### Inherited Properties

progressTracker | `open val progressTracker: ProgressTracker` Override this to provide a ProgressTracker. If one is provided and stepped, the framework will do something helpful with the progress reports. If this flow is invoked as a subflow of another, then the tracker will be made a child of the current step in the parent. If it's null, this flow doesn't track progress.

### Functions

call | `fun call(): SignedTransaction` This is where you fill out your business logic. The returned object will usually be ignored, but can be helpful if this flow is meant to be used as a subflow.

### Companion Object Functions

tracker | `fun tracker(): ProgressTracker`